<?php
$tdataaccounttype = array();
$tdataaccounttype[".searchableFields"] = array();
$tdataaccounttype[".ShortName"] = "accounttype";
$tdataaccounttype[".OwnerID"] = "";
$tdataaccounttype[".OriginalTable"] = "accounttype";


$tdataaccounttype[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataaccounttype[".originalPagesByType"] = $tdataaccounttype[".pagesByType"];
$tdataaccounttype[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataaccounttype[".originalPages"] = $tdataaccounttype[".pages"];
$tdataaccounttype[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataaccounttype[".originalDefaultPages"] = $tdataaccounttype[".defaultPages"];

//	field labels
$fieldLabelsaccounttype = array();
$fieldToolTipsaccounttype = array();
$pageTitlesaccounttype = array();
$placeHoldersaccounttype = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsaccounttype["English"] = array();
	$fieldToolTipsaccounttype["English"] = array();
	$placeHoldersaccounttype["English"] = array();
	$pageTitlesaccounttype["English"] = array();
	$fieldLabelsaccounttype["English"]["AccountTypeID"] = "ລໍາດັບ";
	$fieldToolTipsaccounttype["English"]["AccountTypeID"] = "";
	$placeHoldersaccounttype["English"]["AccountTypeID"] = "";
	$fieldLabelsaccounttype["English"]["AccountTypeName"] = "ປະເພດບັນຊີ";
	$fieldToolTipsaccounttype["English"]["AccountTypeName"] = "";
	$placeHoldersaccounttype["English"]["AccountTypeName"] = "";
	if (count($fieldToolTipsaccounttype["English"]))
		$tdataaccounttype[".isUseToolTips"] = true;
}


	$tdataaccounttype[".NCSearch"] = true;



$tdataaccounttype[".shortTableName"] = "accounttype";
$tdataaccounttype[".nSecOptions"] = 0;

$tdataaccounttype[".mainTableOwnerID"] = "";
$tdataaccounttype[".entityType"] = 0;
$tdataaccounttype[".connId"] = "eflejob_at_localhost";


$tdataaccounttype[".strOriginalTableName"] = "accounttype";

	



$tdataaccounttype[".showAddInPopup"] = false;

$tdataaccounttype[".showEditInPopup"] = false;

$tdataaccounttype[".showViewInPopup"] = false;

	$tdataaccounttype[".listAjax"] = true;
//	temporary
//$tdataaccounttype[".listAjax"] = false;

	$tdataaccounttype[".audit"] = false;

	$tdataaccounttype[".locking"] = false;


$pages = $tdataaccounttype[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataaccounttype[".edit"] = true;
	$tdataaccounttype[".afterEditAction"] = 1;
	$tdataaccounttype[".closePopupAfterEdit"] = 1;
	$tdataaccounttype[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataaccounttype[".add"] = true;
$tdataaccounttype[".afterAddAction"] = 1;
$tdataaccounttype[".closePopupAfterAdd"] = 1;
$tdataaccounttype[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataaccounttype[".list"] = true;
}



$tdataaccounttype[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataaccounttype[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataaccounttype[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataaccounttype[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataaccounttype[".printFriendly"] = true;
}



$tdataaccounttype[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataaccounttype[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataaccounttype[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataaccounttype[".isUseAjaxSuggest"] = true;



			

$tdataaccounttype[".ajaxCodeSnippetAdded"] = false;

$tdataaccounttype[".buttonsAdded"] = false;

$tdataaccounttype[".addPageEvents"] = false;

// use timepicker for search panel
$tdataaccounttype[".isUseTimeForSearch"] = false;


$tdataaccounttype[".badgeColor"] = "2F4F4F";


$tdataaccounttype[".allSearchFields"] = array();
$tdataaccounttype[".filterFields"] = array();
$tdataaccounttype[".requiredSearchFields"] = array();

$tdataaccounttype[".googleLikeFields"] = array();
$tdataaccounttype[".googleLikeFields"][] = "AccountTypeID";
$tdataaccounttype[".googleLikeFields"][] = "AccountTypeName";



$tdataaccounttype[".tableType"] = "list";

$tdataaccounttype[".printerPageOrientation"] = 0;
$tdataaccounttype[".nPrinterPageScale"] = 100;

$tdataaccounttype[".nPrinterSplitRecords"] = 40;

$tdataaccounttype[".geocodingEnabled"] = false;










$tdataaccounttype[".pageSize"] = 20;

$tdataaccounttype[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdataaccounttype[".strOrderBy"] = $tstrOrderBy;

$tdataaccounttype[".orderindexes"] = array();


$tdataaccounttype[".sqlHead"] = "SELECT AccountTypeID,  	AccountTypeName";
$tdataaccounttype[".sqlFrom"] = "FROM accounttype";
$tdataaccounttype[".sqlWhereExpr"] = "";
$tdataaccounttype[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataaccounttype[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataaccounttype[".arrGroupsPerPage"] = $arrGPP;

$tdataaccounttype[".highlightSearchResults"] = true;

$tableKeysaccounttype = array();
$tableKeysaccounttype[] = "AccountTypeID";
$tdataaccounttype[".Keys"] = $tableKeysaccounttype;


$tdataaccounttype[".hideMobileList"] = array();




//	AccountTypeID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "AccountTypeID";
	$fdata["GoodName"] = "AccountTypeID";
	$fdata["ownerTable"] = "accounttype";
	$fdata["Label"] = GetFieldLabel("accounttype","AccountTypeID");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "AccountTypeID";

		$fdata["sourceSingle"] = "AccountTypeID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "AccountTypeID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaccounttype["AccountTypeID"] = $fdata;
		$tdataaccounttype[".searchableFields"][] = "AccountTypeID";
//	AccountTypeName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "AccountTypeName";
	$fdata["GoodName"] = "AccountTypeName";
	$fdata["ownerTable"] = "accounttype";
	$fdata["Label"] = GetFieldLabel("accounttype","AccountTypeName");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "AccountTypeName";

		$fdata["sourceSingle"] = "AccountTypeName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "AccountTypeName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaccounttype["AccountTypeName"] = $fdata;
		$tdataaccounttype[".searchableFields"][] = "AccountTypeName";


$tables_data["accounttype"]=&$tdataaccounttype;
$field_labels["accounttype"] = &$fieldLabelsaccounttype;
$fieldToolTips["accounttype"] = &$fieldToolTipsaccounttype;
$placeHolders["accounttype"] = &$placeHoldersaccounttype;
$page_titles["accounttype"] = &$pageTitlesaccounttype;


changeTextControlsToDate( "accounttype" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["accounttype"] = array();
//	accountexpense
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="accountexpense";
		$detailsParam["dOriginalTable"] = "accountexpense";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "accountexpense";
	$detailsParam["dCaptionTable"] = GetTableCaption("accountexpense");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["accounttype"][$dIndex] = $detailsParam;

	
		$detailsTablesData["accounttype"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["accounttype"][$dIndex]["masterKeys"][]="AccountTypeID";

				$detailsTablesData["accounttype"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["accounttype"][$dIndex]["detailKeys"][]="AccountTypeID";
//	accountincome
	
	

		$dIndex = 1;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="accountincome";
		$detailsParam["dOriginalTable"] = "accountincome";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "accountincome";
	$detailsParam["dCaptionTable"] = GetTableCaption("accountincome");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["accounttype"][$dIndex] = $detailsParam;

	
		$detailsTablesData["accounttype"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["accounttype"][$dIndex]["masterKeys"][]="AccountTypeID";

				$detailsTablesData["accounttype"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["accounttype"][$dIndex]["detailKeys"][]="AccountTypeID";
//endif

// tables which are master tables for current table (detail)
$masterTablesData["accounttype"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_accounttype()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "AccountTypeID,  	AccountTypeName";
$proto0["m_strFrom"] = "FROM accounttype";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "AccountTypeID",
	"m_strTable" => "accounttype",
	"m_srcTableName" => "accounttype"
));

$proto6["m_sql"] = "AccountTypeID";
$proto6["m_srcTableName"] = "accounttype";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "AccountTypeName",
	"m_strTable" => "accounttype",
	"m_srcTableName" => "accounttype"
));

$proto8["m_sql"] = "AccountTypeName";
$proto8["m_srcTableName"] = "accounttype";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "accounttype";
$proto11["m_srcTableName"] = "accounttype";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "AccountTypeID";
$proto11["m_columns"][] = "AccountTypeName";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "accounttype";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "accounttype";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="accounttype";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_accounttype = createSqlQuery_accounttype();


	
		;

		

$tdataaccounttype[".sqlquery"] = $queryData_accounttype;



$tdataaccounttype[".hasEvents"] = false;

?>